<template>
  <div class="create-service-order">
    <div class="w-full bg-white  border-ff overflow-hidden rounded-[20px]">
      <div class=" h-[48px] w-full flex items-center justify-between bg-[#f0f8f3]">
        <span class="text-[18px] font-medium text-[#171717] text-left ml-[12px]">
          {{ isCallSuccess ? "反馈已创建" : "反馈意见" }}
        </span>
        <img class="w-[98px] h-[48px]" src="https://oss.nianxx.cn/mp/static/version_101/home/feedback.png" />
      </div>

      <div v-if="!isCallSuccess" class=" p-[12px]">
        <div class="bg-[#f5f7fa]  flex items-center p-[12px] rounded-[10px] text-[14px] text-[#171717] mb-[12px]">
          <span class="font-medium leading-[22px] mr-[20px]">联系电话</span>
          <input placeholder="请填写联系电话" v-model="contactPhone" />
        </div>
        <div class="bg-[#f5f7fa]  p-[12px] rounded-[10px] text-[14px] font-medium text-[#171717] mb-[12px]">
          <div class="font-medium leading-[22px] mb-[12px]">意见内容</div>
          <textarea class="h-80" placeholder="请输入反馈意见" placeholder-class="text-[14px] font-normal" maxlength="100"
            v-model="contactText" />
        </div>

        <div class="h-[44px] rounded-[5px] text-white bg-button flex items-center justify-center" @click="handleCall">
          立即提交
        </div>
      </div>

      <div v-else class=" left flex-1 p-[12px]">
        <div class="text-[12px] text-ink-600 leading-[20px] mb-[4px]">
          联系方式: {{ contactPhone }}
        </div>
        <div class="text-[12px] text-ink-600 leading-[20px] ellipsis-2">
          意见内容: {{ contactText }}
        </div>
      </div>

      <div class="footer-help flex items-center pl-[12px] mb-[12px]">
        <img class="w-[16px] h-[16px] mr-[4px]" src="./images/icon_volume.png" />
        <span class="text-[12px] font-medium color-FA7319">
          {{ appName }}收到您的意见将第一时间为您处理!
        </span>
      </div>
    </div>
  </div>
</template>

<script setup>
import { ref, onMounted, nextTick, computed } from "vue";
import { SCROLL_TO_BOTTOM } from "@/constants/constant";
import { getCurrentConfig } from "@/constants/base";
import { submitFeedback } from "@/api/home";

const contactPhone = ref("");
const contactText = ref("");
const isCallSuccess = ref(false); // 呼叫成功状态
const appName = computed(() => getCurrentConfig().name);

const handleCall = async () => {
  if (!contactPhone.value.trim()) {
    uni.showToast({ title: "请填写联系电话", icon: "none" });
    return;
  }

  if (!contactText.value.trim()) {
    uni.showToast({ title: "请填写意见内容", icon: "none" });
    return;
  }

  sendFeedback();
};

/// 提交反馈意见
const sendFeedback = async () => {
  try {
    const res = await submitFeedback({
      userPhone: contactPhone.value,
      content: contactText.value,
    });

    if (res.code === 0) {
      // 设置成功状态
      isCallSuccess.value = true;

      uni.showToast({
        title: "反馈意见成功",
        icon: "success",
      });
    } else {
      uni.showToast({
        title: res.message || "反馈意见失败",
        icon: "none",
      });
    }
  } catch (error) {
    console.error("反馈意见失败:", error);
    uni.showToast({
      title: "网络错误，请重试",
      icon: "none",
    });
  }
};

onMounted(() => {
  nextTick(() => {
    setTimeout(() => {
      uni.$emit(SCROLL_TO_BOTTOM, true);
    }, 200);
  });
});
</script>
